dag_offset(3)

NAME
dag_offset - receive a block of ERF records from an Endace DAG card

SYNOPSIS
#include "dagapi.h "

int
dag_offset(int dagfd, int* oldoffset, int flags);

DESCRIPTION
dag_offset returns the first address beyond the most recently written packet record in the circular buffer. oldoffset is the address of the previous offset as returned by the card or any other address the application wishes to be acknowledged as having completed the processing at. dag_offset hides the details of data wrapping across the end of the large memory buffer and updates the location pointed at by oldoffset. All data between *oldoffset and the return value can be considered valid network measurement data.

The only defined flags value is DAGF_NONBLOCK, which causes dag_offset to be non-blocking; otherwise dag_offset blocks until at least one ERF record is available.

RETURN VALUE
dag_offset returns the first address beyond the most recently written packet record in the circular buffer.

NOTES
dag_offset has been obsoleted by dag_advance_stream(3).

SEE ALSO
dag_advance_stream(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2474 $
$Date: 2005-11-10 11:13:19 +1300 (Thu, 10 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.